<?php
define('NTLCMS', 1);
$module = 'input';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница авторизации - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (isset($active) == true){
header('Location: '.URL);
} else {
echo '<div class="title"><b>'.razd.' Авторизация</b></div>';	
$error = null;
if (isset($_REQUEST['login']) && isset($_REQUEST['pass'])){
$login = isset($_REQUEST['login']) ? filter_var($_REQUEST['login'], FILTER_SANITIZE_STRING) : false;
$pass = isset($_REQUEST['pass']) ? filter_var($_REQUEST['pass'], FILTER_SANITIZE_STRING) : false;
if (empty($login)){
$error.= 'Поле логин обязательно для заполнения!<br/>';
} elseif(!preg_match('#[a-zA-Z0-9_-]{3,15}#i', $login)){
$error.= 'Логин должен содержать от 3 до 15 символов!<br/>';
} elseif(!DB :: run() -> querySingle("select (`login`) from `users` where `login` = ?", array($login))){
$error.= 'Пользователь с логином '.$login.' не найден!<br/>';
} elseif(preg_match('/([a-zA-Zа-яА-Я])+([0-9]{6})|(\s)|(\W)/', $login)){
$error.= 'Спец символы в логинах запрещены!<br/>';
}
if (empty($pass)){
$error.= 'Поле пароль обязательно для заполнения!<br/>';
} elseif(!preg_match('#[a-zA-Z0-9_-]{6,15}#i', $pass)){
$error.= 'Пароль должен содержать от 6 до 15 символов!<br/>';
} elseif(DB :: run() -> querySingle("select (`login`), (`pass`) from `users` where `login` = ? and `pass` <> ?", array($login, md5(md5($pass))))){
DB :: run() -> query("insert into `auth` (`time`, `ip`, `ua`, `login`, `method`) values (?, ?, ?, ?, ?)", array(TIME, $ip, $ua, $login, '0'));
$error.= 'Пароль или логин введен не верно!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
$_SESSION['login'] = checkin($login);
$_SESSION['pass'] = md5(md5($pass));
DB :: run() -> query("update `users` set `sess` = ?, `enter` = `enter` + ?, `lasttime` = ?, `ip` = ?, `ua` = ?, `real` = ? where `login` = ?", array($sess, 1, TIME, $ip, $ua, CLIENT_IP(), $login));
DB :: run() -> query("insert into `auth` (`time`, `ip`, `ua`, `login`, `method`) values (?, ?, ?, ?, ?)", array(TIME, $ip, $ua, $login, '1'));
$_SESSION['success'] = 'Вы успешно авторизированы!';
header('Location: '.URL.'/digest');
}
}
echo '<div class="menu"><form name="auth" action="'.URL.'/input" method="post">
<b>* Логин:</b><br/><input type="text" name="login" maxlength="15"/><br/>
<b>* Пароль</b><br/><input type="password" name="pass" maxlength="15"/><br/>
<input type="submit" value="Авторизоваться"/></form></div>';
echo '<div class="menu"><i class="fa fa-unlock-alt fa-fw"></i> <a href="'.URL.'/forgot">Забыли пароль?</a></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'">На главную</a></div>';
}
include ('../system/foot.php');
?>